# $Revision: 1.97 $, $Date: 2012/07/07 13:49:19 $
Summary:	GNOME Bluetooth Subsystem
Summary(pl.UTF-8):	Podsystem GNOME Bluetooth
Name:		gnome-bluetooth
Version:	3.4.2
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-bluetooth/3.4/%{name}-%{version}.tar.xz
# Source0-md5:	ac7390b9fbfa1d2cc65e16a6a194fb95
Source1:	61-%{name}-rfkill.rules
URL:		http://live.gnome.org/GnomeBluetooth
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libtool
BuildRequires:	libxml2-progs
BuildRequires:	nautilus-sendto-devel >= 3.0.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXi-devel
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	%{name}-libs = %{version}-%{release}
Requires:	bluez >= 4.22
Requires:	dbus(org.openobex.client)
Requires:	dconf
Requires:	hicolor-icon-theme
Requires:	udev-acl
Obsoletes:	bluez-gnome < 1.9
Obsoletes:	bluez-pin
Obsoletes:	python-gnome-bluetooth
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Bluetooth provides tools for controlling and communicating with
Bluetooth devices.

%description -l pl.UTF-8
GNOME Bluetooth dostarcza narzędzia do kontrolowania i komunikowania
się z urządzeniami Bluetooth.

%package libs
Summary:	GNOME Bluetooth subsystem shared libraries
Summary(pl.UTF-8):	Współdzielone biblioteki dla podsystemu GNOME Bluetooth
License:	LGPL v2+
Group:		X11/Libraries
Requires:	glib2 >= 1:2.30.0

%description libs
GNOME Bluetooth subsystem shared libraries.

%description libs -l pl.UTF-8
Współdzielone biblioteki dla podsystemu GNOME Bluetooth.

%package devel
Summary:	Header files for GNOME Bluetooth subsystem
Summary(pl.UTF-8):	Pliki nagłówkowe dla podsystemu GNOME Bluetooth
License:	LGPL v2+
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.30.0
Requires:	gtk+3-devel >= 3.0.0

%description devel
Header files for GNOME Bluetooth subsystem.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla podsystemu GNOME Bluetooth.

%package static
Summary:	Static GNOME Bluetooth library
Summary(pl.UTF-8):	Statyczna biblioteka GNOME Bluetooth
License:	LGPL v2+
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GNOME Bluetooth library.

%description static -l pl.UTF-8
Statyczna biblioteka GNOME Bluetooth.

%package apidocs
Summary:	GNOME Bluetooth library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki GNOME Bluetooth
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GNOME Bluetooth library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki GNOME Bluetooth.

%package -n nautilus-sendto-gnome-bluetooth
Summary:	nautilus-sendto GNOME Bluetooth plugin
Summary(pl.UTF-8):	Wtyczka nautilus-sendto dla GNOME Bluetooth
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus-sendto >= 3.0.0

%description -n nautilus-sendto-gnome-bluetooth
A nautilus-sendto plugin for sending files via GNOME Bluetooth.

%description -n nautilus-sendto-gnome-bluetooth -l pl.UTF-8
Wtyczka nautilus-sentdo do wysyłania plików poprzez GNOME Bluetooth.

%prep
%setup -q

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--disable-desktop-update \
	--disable-icon-update \
	--enable-introspection \
	--disable-schemas-compile \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/udev/rules.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/lib/udev/rules.d

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgnome-bluetooth.la \
        $RPM_BUILD_ROOT%{_libdir}/gnome-bluetooth/plugins/*.la \
        $RPM_BUILD_ROOT%{_libdir}/nautilus-sendto/plugins/libnstbluetooth.la

# workaround for (broken?) GnomeBluetoothApplet-1.0.typelib
ln -s %{_libdir}/gnome-bluetooth/libgnome-bluetooth-applet.so.0 $RPM_BUILD_ROOT%{_libdir}/libgnome-bluetooth-applet.so.0

%find_lang %{name} --with-gnome --with-omf --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/bluetooth-applet
%attr(755,root,root) %{_bindir}/bluetooth-sendto
%attr(755,root,root) %{_bindir}/bluetooth-wizard
%{_desktopdir}/bluetooth-sendto.desktop
%{_desktopdir}/bluetooth-wizard.desktop
%{_sysconfdir}/xdg/autostart/bluetooth-applet.desktop
%{_datadir}/GConf/gsettings/gnome-bluetooth*
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/gnome-bluetooth
%dir %{_libdir}/gnome-bluetooth/plugins
%attr(755,root,root) %{_libdir}/gnome-bluetooth/plugins/*.so
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_mandir}/man1/bluetooth-applet.1*
%{_mandir}/man1/bluetooth-sendto.1*
%{_mandir}/man1/bluetooth-wizard.1*
/lib/udev/rules.d/61-gnome-bluetooth-rfkill.rules

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-bluetooth.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnome-bluetooth.so.10
%dir %{_libdir}/gnome-bluetooth
%attr(755,root,root) %{_libdir}/gnome-bluetooth/libgnome-bluetooth-applet.so
%attr(755,root,root) %{_libdir}/gnome-bluetooth/libgnome-bluetooth-applet.so.0
%attr(755,root,root) %{_libdir}/gnome-bluetooth/libgnome-bluetooth-applet.so.*.*.*
%attr(755,root,root) %{_libdir}/libgnome-bluetooth-applet.so.0
%{_libdir}/gnome-bluetooth/GnomeBluetoothApplet-1.0.typelib
%{_libdir}/girepository-1.0/GnomeBluetooth-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-bluetooth.so
%{_includedir}/gnome-bluetooth
%{_pkgconfigdir}/gnome-bluetooth-1.0.pc
%{_datadir}/gir-1.0/GnomeBluetooth-1.0.gir

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gnome-bluetooth

%files -n nautilus-sendto-gnome-bluetooth
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/nautilus-sendto/plugins/libnstbluetooth.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-bluetooth.spec,v $
Revision 1.97  2012/07/07 13:49:19  kiesiu
- updated to 3.4.2

Revision 1.96  2012/06/13 09:55:20  kiesiu
- updated to 3.4.1

Revision 1.95  2012/03/31 19:05:25  megabajt
- fixed udev rule to work with new udev
- release 2

Revision 1.94  2012/03/27 16:25:15  megabajt
- updated to 3.4.0; merged changes from DEVEL
- removed obsolete -am.patch

Revision 1.93.2.1  2012/02/22 23:18:05  megabajt
- updated to 3.3.4

Revision 1.93  2012/02/14 17:03:24  megabajt
- fixed build with automake 1.11.2
- release 2

Revision 1.92  2012/02/10 08:15:24  lisu
- up to 3.2.2

Revision 1.91  2011/10/18 19:07:45  kiesiu
- updated to 3.2.1

Revision 1.90  2011/09/26 21:19:43  kiesiu
- updated to 3.2.0; merged from DEVEL

Revision 1.89.2.4  2011/09/20 14:46:12  wiget
- up to 3.1.92

Revision 1.89.2.3  2011/09/03 18:05:52  wiget
- swtich to .xz

Revision 1.89.2.2  2011/09/01 20:55:04  patrys
- 3.1.4

Revision 1.89.2.1  2011/07/11 09:26:17  patrys
- 3.1.3

Revision 1.89  2011/05/27 22:28:47  kiesiu
- updated to 3.0.1

Revision 1.88  2011/05/02 22:14:06  megabajt
- provide udev rules to make /dev/rfkill usable (from Fedora)
- release 2

Revision 1.87  2011/04/05 21:45:01  megabajt
- updated to 3.0.0; merged from DEVEL

Revision 1.86  2011/03/27 12:21:54  qboosh
- en@shaw locale is now supported (via LANGUAGE)
- use __rm macro

Revision 1.85.2.6  2011/03/21 17:49:39  megabajt
- updated to 2.91.92

Revision 1.85.2.5  2011/03/09 18:24:35  megabajt
- moved libgnome-bluetooth-applet to -libs (required to build gnome-shell)
- release 2

Revision 1.85.2.4  2011/03/08 19:19:18  megabajt
- updated to 2.91.91

Revision 1.85.2.3  2011/02/26 12:01:44  patrys
- nautilus plugin builds

Revision 1.85.2.2  2011/02/13 12:23:17  wiget
- fix applet loading

Revision 1.85.2.1  2011/02/13 01:20:07  wiget
- updated to 2.91.5

Revision 1.85  2011/02/04 18:23:47  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.84  2010/12/09 19:46:10  megabajt
- use %glib_compile_schemas
- release 2

Revision 1.83  2010/09/30 10:56:57  megabajt
- updated to 2.32.0 (new soname)

Revision 1.82  2010/08/16 15:52:26  glen
- use virtual dbus(org.openobex.client) dependency
  change by Przemo Firszt <przemo#firszt.eu>

Revision 1.81  2010/04/09 12:55:07  megabajt
- added nautilus-sendto-gnome-bluetooth package
- updated deps

Revision 1.80  2010/04/03 00:26:38  sls
- drop en@shaw locale

Revision 1.79  2010/04/02 23:12:37  sls
- ver. 2.30.0

Revision 1.78  2010/02/20 14:08:57  sparky
- rel 2; STBR to get rid of -lpng12 in .la file

Revision 1.77  2010/01/06 01:28:07  sparky
- BR: docbook-dtd412-xml

Revision 1.76  2009/12/22 19:40:59  megabajt
- updated to 2.28.6

Revision 1.75  2009/11/12 12:16:11  patrys
- rebuild
- rel 2

Revision 1.74  2009/10/21 14:38:06  megabajt
- updated to 2.28.3

Revision 1.73  2009/10/12 17:47:20  megabajt
- updated to 2.28.1

Revision 1.72  2009/09/26 13:52:51  patrys
- merged from DEVEL

Revision 1.70.2.8  2009/09/26 13:51:26  patrys
- 2.28.0

Revision 1.70.2.7  2009/09/10 08:31:19  patrys
- 2.27.90

Revision 1.70.2.6  2009/08/13 08:45:56  patrys
- 2.27.9

Revision 1.70.2.5  2009/06/28 15:42:36  patrys
- 2.27.7.1

Revision 1.70.2.4  2009/06/21 14:13:58  patrys
- 2.27.6

Revision 1.71  2009/06/17 15:14:27  hawk
- release 9

Revision 1.70.2.3  2009/05/24 15:38:01  patrys
- 2.27.5
- drop unsupported locale early

Revision 1.70.2.2  2009/04/11 20:52:44  megabajt
- updated to 2.27.2

Revision 1.70.2.1  2009/03/13 23:15:59  megabajt
- updated to 2.27.1 (fork of bluez-gnome)
- removed obsolete -python.patch, -gnomeui.patch, -desktop.patch and -link.patch

Revision 1.70  2009/03/13 22:40:17  hawk
- release 8

Revision 1.69  2009/02/04 16:38:47  hawk
- release 7

Revision 1.68  2009/01/27 22:10:15  hawk
- release 6

Revision 1.67  2008/11/11 15:15:16  arekm
- release 5

Revision 1.66  2008/10/14 06:42:01  arekm
- release 4

Revision 1.65  2008/10/03 17:44:13  arekm
- release 3

Revision 1.64  2008/08/31 17:02:02  arekm
- release 2

Revision 1.63  2008-05-12 18:36:50  qboosh
- pygtk epoch

Revision 1.62  2008-05-12 18:28:32  tommat
- BR: python-pygtk-devel

Revision 1.61  2008-01-22 13:35:58  patrys
- 0.11.0

Revision 1.60  2007-12-08 03:57:05  wolvverine
- add S

Revision 1.59  2007/08/01 15:13:31  wolvverine
- up to 0.9.1

Revision 1.58  2007/07/13 12:12:46  patrys
- garbage

Revision 1.57  2007/07/12 22:29:15  patrys
- 0.9.0

Revision 1.56  2007/02/28 10:49:40  patrys
- rel 2, rebuild with new libbtctl

Revision 1.55  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.54  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.53  2006/11/07 22:25:04  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.52  2006/09/20 19:43:51  grzegol
- updated to 0.8.0
- gnome-bluetooth-manager removed upstream
- removed outdated manager_py patch

Revision 1.51  2006/09/04 20:51:11  wiget
- rel. 3 (rebuild with python 2.5)

Revision 1.50  2006/08/10 14:25:46  wrobell
- rel. 2 to build with openssl 0.9.8b

Revision 1.49  2006/07/30 17:10:29  patrys
- missing BR: libusb-devel

Revision 1.48  2006/06/24 16:50:41  freetz
- rel.1, bleeding edge deps

Revision 1.47  2006/06/05 12:28:46  qboosh
- libgnomebt License is LGPL

Revision 1.46  2006/06/05 12:20:48  qboosh
- cleanup

Revision 1.45  2006/06/05 12:20:01  qboosh
- added link patch

Revision 1.44  2006/06/05 11:59:07  qboosh
- R: python-btctl (merged from AC-branch)
- devel deps (but libgnomebt linking needs fix)

Revision 1.43  2006/05/16 08:06:25  qboosh
- BR recent libgnomeui (merged from AC-branch)

Revision 1.42  2006/04/03 03:45:35  wolvverine
- add patch for manager.py
- !!problem with patch 4

Revision 1.41  2006/03/15 10:44:50  wolvverine
- md5

Revision 1.40  2006/03/15 02:30:33  wolvverine
- correct

Revision 1.39  2006/03/15 02:12:18  wolvverine
- BR

Revision 1.38  2006/02/16 11:56:44  freetz
- nautilus-devel no longer required

Revision 1.37  2006/01/31 14:13:09  qboosh
- removed obsolete cleanup patch

Revision 1.36  2005/12/26 17:39:07  qboosh
- use pixmapsdir macro

Revision 1.35  2005/12/26 17:16:19  wolvverine
- add file to %files

Revision 1.34  2005/12/26 04:07:37  wolvverine
- up to 0.7.0
- test it

Revision 1.33  2005/10/30 18:26:31  ankry
- typo

Revision 1.32  2005/10/29 07:49:16  ankry
- kill no, rel. 4

Revision 1.31  2005/09/13 13:08:17  qboosh
- no autogenerated soname symlink in -libs, unified

Revision 1.30  2005/09/10 23:51:39  freetz
- libs separated from main package, rel.3

Revision 1.29  2005/09/08 14:44:27  freetz
- (maybe) fixed amd64 build

Revision 1.28  2005/09/08 14:31:30  freetz
- (maybe) fixed macros, rel.2

Revision 1.27  2005/09/08 14:17:04  freetz
- added missing Rs (python-gnome-{canvas,bonobo-ui}

Revision 1.26  2005/08/21 10:20:41  wiget
- updated to 0.6.0

Revision 1.25  2005/06/23 12:31:27  blues
- missing Req.

Revision 1.24  2005/06/12 22:10:34  freetz
- BR: python-pygtk-glade (reported by Marcin Albecki)

Revision 1.23  2005/06/12 22:08:00  freetz
- kill unpackaged files

Revision 1.22  2005/06/12 21:53:04  freetz
- added fixes for pygtk 2.6.x/cleanups, rel.6

Revision 1.21  2005/05/23 13:09:46  ankry
- added desktop patch, rel. 5

Revision 1.20  2005/05/13 13:49:52  ankry
- rel. 4 to rebuild with new libhowl

Revision 1.19  2005/05/11 11:34:23  leafnode
- updated BR

Revision 1.18  2004/12/27 14:35:07  saq
- release 3

Revision 1.17  2004/12/27 14:24:02  saq
- fixed quoting

Revision 1.16  2004/12/26 15:57:27  saq
- release 2 for rebuild with python 2.4

Revision 1.15  2004/11/17 22:03:47  qboosh
- BR sed 4.0

Revision 1.14  2004/11/14 13:04:14  havner
- try to fix amd64 build

Revision 1.13  2004/09/09 17:53:27  qboosh
- Obsoletes: python-gnome-bluetooth, pyrequires_eq python-libs, cosmetics

Revision 1.12  2004/09/08 20:59:38  wrobell
- merge python package with main package (main program uses python modules)
- fixed install requirements
- fixed static package
- rel. 1

Revision 1.11  2004/08/12 21:47:14  ankry
- s/gnome/GNOME/

Revision 1.10  2004/07/28 08:03:14  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.9  2004/07/01 18:02:29  qboosh
- pl for python-, removed bogus Obsoletes

Revision 1.8  2004/07/01 06:26:22  wrobell
- added python subpackage

Revision 1.7  2004/06/30 21:48:43  qboosh
- pl for new packages

Revision 1.6  2004/06/30 21:37:38  wrobell
- added static and devel subpackages
- fixed files section

Revision 1.5  2004/06/30 00:13:54  wrobell
- started update to version 0.5.1

Revision 1.4  2004/06/12 01:36:47  wrobell
- ver. 0.5, nfy

Revision 1.3  2003/09/08 14:47:45  qboosh
- descriptions, BR: ac,am,lt,openobex-devel

Revision 1.2  2003/09/05 15:46:49  wrobell
- libtoolize

Revision 1.1  2003/09/04 14:52:45  wrobell
- based on template, nfy
